#!/bin/bash
#  HEX   U/Min
# 0D48 =  850
# 0ED8 =  950
# 1068 = 1050
# 11F8 = 1150
# 1388 = 1250
# 1518 = 1350
#
# F0 = CPU Fan
# F2 = Exhaust Fan

while [ true ]  
do
/bin/sleep 10

hwm="/Applications/HardwareMonitor.app/Contents/MacOS/hwmonitor"
smc="/Applications/smcFanControl.app/Contents/Resources/smc"

cpu=`"$hwm" -ds | head -n 1 | cut -c 13-14`

if [[ "$cpu" -gt "20" && "$cpu" -lt "35" ]]; then  # - Zwischen 21 und 34 Grad
    "$smc" -k F0Mn -w 0ED8    
    "$smc" -k F2Mn -w 1068

elif [[ "$cpu" -gt "34" && "$cpu" -lt "51" ]]; then  # - Zwischen 35 und 50 Grad
    "$smc" -k F0Mn -w 1068    
    "$smc" -k F2Mn -w 11F8

elif [[ "$cpu" -gt "50" && "$cpu" -lt "60" ]]; then  # - Zwischen 51 und 59 Grad
    "$smc" -k F0Mn -w 11F8    
    "$smc" -k F2Mn -w 1388

elif [[ "$cpu" -gt "59" && "$cpu" -lt "99" ]]; then  # - Zwischen 60 und 99 Grad
    "$smc" -k F0Mn -w 1518   
    "$smc" -k F2Mn -w 1388
fi
done
